import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import * as React from "react";
import { useCreateComponentFromSource } from "./useCreateComponentFromSource.js";

var useRenderElement = function useRenderElement(options) {
  var babelConfig = options.babelConfig,
      hot = options.hot,
      source = options.source,
      resolver = options.resolver,
      rest = _objectWithoutProperties(options, ["babelConfig", "hot", "source", "resolver"]);

  var latestElement = React.useRef(null);

  try {
    var component = useCreateComponentFromSource(babelConfig, hot, source, resolver);
    latestElement.current = React.createElement(component, rest);
    return {
      element: latestElement.current,
      error: null
    };
  } catch (error) {
    return {
      element: latestElement.current,
      error: error
    };
  }
};

export default useRenderElement;