export declare type BabelConfig = Record<string, any>;
export declare type SourceCode = string;
export declare type Resolver = (importPath: string, context?: ResolverContext) => void;
export declare type ResolverContext = Object;
export declare type RenderConfig = {
    /** A config for Babel. */
    babelConfig?: BabelConfig;
    /** Enables support for hot-reloading in Webpack. */
    hot?: boolean;
    /** A function for the imports resolution. */
    resolver?: Resolver;
    /** An object that will be passed additionally to resolver function. */
    resolverContext?: ResolverContext;
    /** A string that contains the source code. */
    source: SourceCode;
};
